<script>
import config from "../../config";
import { required, email, sameAs } from "vuelidate/lib/validators";
import { authService } from "../../services";
import { error_message, success_message } from "../../Helper/helper"
/**
 * Login component
 */

export default {
  data() {
    return {
        config: config,
        error: "",
        email_code:'',
        client_id:this.$route.params.client_id || '',
        login: {
          email: "",
          password: "",
        },

    };
  },
  validations: {
    email_code: {
        required,
    },
  },
  mounted(){
  },
  methods: {
    submit() {
      this.$v.email_code.$touch();
      if (this.$v.email_code.$invalid) {
        return;
      } else {
        let data = {'email_code':this.email_code, 'client_id':atob(this.client_id)}        
        authService.confirEmailClient(data).then((responce) => {          
          if (responce.data.code == 200) {
            localStorage.removeItem('new_signup_email');
            localStorage.removeItem('new_client_name');
            let type = this.$auth.clientlogin(responce);
            this.$router.push({ name: type });
            // success_message(responce.data.message);
            // this.$router.push({ name: 'login' });
            // this.$router.push({ name:'confirm-email', params:{client_id: btoa(responce.data.result.client_id)} })
          }else{
            error_message(responce.data.message)
          }
        })
      }
    },

    resendOtp() {
      let emailID = localStorage.getItem('new_signup_email');
      let clientName = localStorage.getItem('new_client_name');
      authService.resendOtp({'email':emailID,'client_name':clientName}).then((res) => {        
        if (res.data.code == 200) {
          success_message(res.data.message);
        }else{
          error_message(res.data.message);
        }
      })      
    },
  },
};
</script>

<template>
  <div>
    <div class="account-pages my-5 pt-5">
      <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8 col-lg-6 col-xl-5 login-main">
                <div class="card overflow-hidden">
                  <div class=" p-4 text-center bg-soft-primary">
                    <h3 class="text-primary">{{ trans.get('__JSON__.Confirm Your Email Address') }}</h3>
                    <h6>{{ trans.get('__JSON__.We Sent Verification code to your Email ID.') }}</h6>
                    <h6>{{ trans.get('__JSON__.So we can Verify your email address') }}</h6>
                  </div>
                  <div class="card-body pt-0 mt-4">
                        <b-form class="p-2" @submit.prevent="submit">
                            <div class="alert alert-danger" v-show="this.error">{{ this.error }}</div>
                            <slot />
                            <!-- restaurant name -->
                            <b-form-group
                            id="input-group-3"
                            label-for="input-3"
                            >
                                <b-form-input
                                    id="input-3"
                                    name="restaurant_name"
                                    ref="restaurant_name"
                                    v-model="$v.email_code.$model"
                                    type="text"
                                    :placeholder="this.trans.get('__JSON__.Enter Verification Code')"
                                    :class="{ 'is-invalid':  $v.email_code.$error }"
                                ></b-form-input>
                                <div v-if="$v.email_code.$error" class="invalid-feedback">
                                    <span
                                    v-if="!$v.email_code.required"
                                    >{{ trans.get('__JSON__.Please Enter Verification Code') }}</span>
                                </div>
                            </b-form-group>
                            <div class="resend-btn mb-2" @click="resendOtp()" >Resend OTP?</div>
                            <div>
                                <button
                                    class="btn btn-primary btn-block"
                                    @keyup.enter="submit"
                                >{{ trans.get('__JSON__.Verify Email Address') }}</button>
                            </div>
                        </b-form>
                    </div>
                </div>
            </div>
        </div>
      </div>
    </div>
  </div>
</template>
